﻿@inject IJsonHelper Json
@model PlaylistViewModel

<link rel="stylesheet" href="~/css/Playlists/Details.css" />
<script src="~/js/Playlists/Details/Details.js"></script>
<script src="~/js/Playlists/Details/Deezer.js"></script>

<div class="playlist-details">

    <div>
        <h2>@Model.Title</h2>

        <p><ion-icon></ion-icon> &nbsp;<span>By: @Model.CreatorName</span></p>

        <p><ion-icon></ion-icon> &nbsp;<span>Rank: @Model.Rank</span></p>

    </div>

    <div class="pages">
        @for (int i = 0; i < Model.SongsPaged.PageCount; i++)
        {
            var num = i + 1;

            <a class="playlist-pagination-numbers" data-id="@Model.Id">@num</a>
        }
    </div>

    <table class="table">
        <thead>
            <tr>
                <th scope="col">Title</th>
                <th scope="col">Duration</th>
                <th scope="col">
                    @if (ViewBag.ShowEdit)
                    {
                        <a class="btn btn-outline-dark edit-button" asp-action="Edit" asp-route-id="@Model.Id">Edit</a>
                    }
                </th>
            </tr>
        </thead>

        <tbody>
            @foreach (var song in Model.SongsPaged)
            {
                <tr>
                    <th>@song.Title</th>
                    <td>@song.DurationInMinutes</td>
                    <td>
                        <a href="@song.Preview">Link </a>
                    </td>
                </tr>
            }
        </tbody>

    </table>
</div>

<div>
    <div id="dz-root"></div>
    <div id="player"></div>
</div>


